# Products

Product data

## GET /{contract}/products

> Returns a list of products available for the given contract (only billable and active)

```json
{"openapi":"3.0.0","info":{"title":"IONOS Cloud Billing API","version":"3.9.0"},"tags":[{"name":"products","description":"Product data"}],"servers":[{"url":"https://api.ionos.com/billing","description":"Production API"}],"security":[{"basicAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"bearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"ContractParameter":{"name":"contract","in":"path","description":"Contract number","required":true,"schema":{"type":"integer","pattern":"[0-9]{5,10}"}},"DateQueryParameter":{"name":"date","in":"query","description":"Date of interest in format of YYYY-MM-DD","required":false,"schema":{"type":"string","format":"date"}}},"schemas":{"MetaData":{"type":"object","properties":{"contractId":{"type":"integer"},"customerId":{"type":"integer"},"reference":{"type":"string","nullable":true}}},"Product":{"type":"object","properties":{"meterId":{"type":"string","description":"Product code (just active will be provided)","enum":["A01000","AICL13I1000","AICL13O1000","AIDCI1000","AIDCI1100","AIDCI1200","AIDCS1000","AIFS1000","AIL3405I1000","AIL3405O1000","AIL370I1000","AIL370I1100","AIL370O1000","AIL370O1100","AIL38I1000","AIL38O1000","AIMNI1000","AIMNO1000","AIMSI1000","AIMSO1000","AIOI1000","AIOO1000","AISDXL1000","AIT7I1000","AIT7O1000","ALB1000","ALB1100","BA1100","BA1200","BA1300","BA1400","BA2000","BA3000","BA4000","BMCTO1000","BMCTO1100","BMCTO1200","BMCTO1300","BMCTO1400","BMCTO1500","BMCTO1600","BMCTO1700","BU1100","BU1200","BU1300","BU1400","BU1500","BU1600","BU1700","C01000","C010US","C02000","C03000","C04000","C05000","C06000","CDN1000","CRSU1000","CRVS1000","CTI1000","CTO0000","CTO1100","CTO1200","CTO1300","CTO1400","CUBES1100","CUBES1200","CUBES1300","CUBES1400","CUBES1500","CUBES1600","CUBES1700","CUBES1800","CUBES2100","CUBES2200","CUBES2210","CUBES2300","CUBES2310","CUBES2400","CUBES2410","CUBES2500","CUBES2510","CV1000","CWSQL1001","CWSQL2001","CWSQL3001","DBIMC1000","DBIMR1000","DBIMS3000","DBMAB1000","DBMAC1000","DBMAR1000","DBMAS2000","DBMAS3000","DBMB1000","DBMB1100","DBMB1200","DBMB1300","DBMB1400","DBMB1500","DBMB1600","DBMB1610","DBMBU1000","DBMEC1000","DBMER1000","DBMES1000","DBMES2000","DBMES3000","DBMP1000","DBMP1100","DBPGB1000","DBPGC1000","DBPGR1000","DBPGS1000","DBPGS2000","DBPGS3000","DNSP1000","DNSS1000","ESKA1100","ESKA1200","ESKA1300","ESKA1400","ESKA1500","LOGP1000","LOGS1000","MKC1000","MKCV1000","MKR1000","MKRV1000","MKS1000","MKS2000","MONS1000","MOSS1000","NAT1000","NFS1000","NLB1000","NLB1100","R01000","R010US","RHEL1100","RHEL1200","RHEL2100","RHEL2200","RHEL2300","RV1000","S01000","S02000","S03000","S05000","S3AU1100","S3AU1200","S3AU1300","S3AU2100","S3AU2200","S3RD1100","S3SR2000","S3SS2000","S3SU1000","S3SU1100","S3SU1200","S3SU1300","S3SU2000","S3TI1000","S3TI1100","S3TI2100","S3TI2200","S3TO1000","S3TO1100","S3TO2100","S3TO2200","S3TO2300","SPDC1000","SPDC3000","SPDR1000","SPDR3000","SPKC1000","SPKC3000","SPKR1000","SPKR3000","TI1000","TO1000","VPNG0800","VPNG0900","VPNG1000","VPNG1100","VPNG1200","VPNG1300","WAFR1000","WL1000","WL2000","WL3000","WL3050","WL3100","WL3200","WL4000","WL4050","WL4100","WL4200","WL5000","WL6000","WL6050","WL6100","WL6200","WL7100","WL7200","WL7250","WL7300","WL7400"]},"meterDesc":{"type":"string","description":"Product description (human readable)"},"deprecated":{"type":"boolean","description":"The flag specifies whether the product is marked as deprecated"},"unit":{"type":"string","description":"The unit applied for the product during computation"},"type":{"type":"string","description":"type of the billing (consumption-based or commitment-based)","enum":["commitment","consumption"]},"term":{"type":"integer","description":"length of the commitment period (only provided for commitment items) in months","nullable":true,"minimum":1},"unitCost":{"type":"object","nullable":true,"properties":{"quantity":{"type":"number"},"unit":{"type":"string","enum":["EUR","USD","CAD","GBP","MXN"]}}}}}},"responses":{"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object"}}}},"Forbidden":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object"}}}},"InternalError":{"description":"Unexpected internal server error","content":{"application/json":{"schema":{"type":"object"}}}}}},"paths":{"/{contract}/products":{"get":{"tags":["products"],"description":"Returns a list of products available for the given contract (only billable and active)","operationId":"productsGet","parameters":[{"$ref":"#/components/parameters/ContractParameter"},{"$ref":"#/components/parameters/DateQueryParameter"}],"responses":{"200":{"description":"Result data","content":{"application/json":{"schema":{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetaData"},"liability":{"type":"string"},"products":{"type":"array","items":{"$ref":"#/components/schemas/Product"}}}}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"500":{"$ref":"#/components/responses/InternalError"}}}}}}
```
